Docs
Reviews

Reject a review request

POST/publish-requests/{id}/rejectNeedscontent.publish

Nothing is published. The requester gets your note by email.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Path Parameters

id*integer

The request's id.

Range1 <= value

Request Body

application/json
  1. body
note*string

What needs to change.

Length1 <= length <= 1000

Response Body

Rejected

application/json
  1. response
request*

A request to publish a version to production, waiting for (or after) review.

Shell
curl -X POST 'https://app.cueston.com/api/publish-requests/1/reject' \
  -H 'Content-Type: application/json' \
  -d '{
  "note": "Clearer copy on step 2"
}'
Example Response
JSON
{
  "request": {
    "id": 42,
    "contentType": "tour",
    "contentId": 42,
    "contentName": "Onboarding tour",
    "versionId": 7,
    "version": 3,
    "environment": "production",
    "status": "pending",
    "note": "Clearer copy on step 2",
    "requestedBy": {
      "id": 42,
      "name": "Ada Lovelace",
      "email": "ada@acme.com"
    },
    "reviewer": {
      "id": 42,
      "name": "Ada Lovelace",
      "email": "ada@acme.com"
    },
    "reviewNote": "Looks good",
    "createdAt": "2026-10-26T09:30:00Z",
    "reviewedAt": "2026-10-26T09:30:00Z"
  }
}